import SwiftUI

@main
struct AiCardApp: App {
    @StateObject private var authManager = AuthManager()
    @StateObject private var cardManager = CardManager()
    
    var body: some Scene {
        WindowGroup {
            ContentView()
                .environmentObject(authManager)
                .environmentObject(cardManager)
                .preferredColorScheme(.dark)
        }
    }
}